> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# seedance-2-fast-ext 動画生成

> seedance-2-fast-ext モデルで低コスト・高速に動画を生成

> [!NOTE]
>
> **中国本土のユーザー向け：** 中国本土のユーザーは `https://toapis.cn` を API エンドポイント（Base URL）としてご利用ください。本ドキュメント内の例では `https://toapis.com` を `https://toapis.cn` に置き換えてください。

`seedance-2-fast-ext` は Seedance 2.0 ファミリーのプロモーションチャネル・バリューモデルで、低コスト・高速生成向けです：

* テキストから動画、参照画像による生成
* `480p`、`720p`、`1080p` 出力をサポート
* 参照動画、参照音声、最初/最後フレーム制御、動画編集は非対応
* API は非同期タスクです：送信すると `generation.task` が返され、完了後に[動画タスクステータス API](https://docs.toapis.com/docs/ja/api-reference/tasks/video-status.md)で結果を取得します。

## 認証

**Authorization** `string` *required*

Bearer Token で認証します：

```text theme={null}
Authorization: Bearer YOUR_API_KEY
```

## リクエストパラメータ

**model** `string` *required* (default: seedance-2-fast-ext)

ToAPIs の公開モデル名。常に `seedance-2-fast-ext` を指定してください。

**prompt** `string`

シーン、カメラワーク、被写体の動き、スタイル、サウンドの雰囲気を記述します。

**seconds** `integer` (default: 5)

出力動画の長さ（秒）。`5`、`10`、`15` のみ対応。互換フィールド `duration` も使用できます。両方を同時に渡さないでください。

**size** `string`

出力アスペクト比。`16:9`、`9:16`、`4:3`、`3:4`、`1:1` をサポート。互換フィールド `aspect_ratio` も使用できます。

**resolution** `string` (default: 720p)

出力解像度。`480p`、`720p`、`1080p` をサポート。

**reference\_image** `string`

単一の参照画像の公開 URL。複数枚の場合は `reference_images` を使用してください。

**reference\_images** `string[]`

参照画像 URL の配列。最大 `9` 枚。`image_with_roles`（`role` は `reference_image`）で明示的に渡すこともできます。

**callback\_url** `string`

ToAPIs のタスク完了コールバック URL。詳細は[タスク Webhook](https://docs.toapis.com/docs/ja/api-reference/webhooks/task-webhooks.md)を参照してください。

**client\_business\_id** `string`

お客様側の注文番号または業務タスク ID。タスクと一緒に保存され、`GET /v1/videos/generations/{client_business_id}` でも照会できます。

**trace\_id** `string`

呼び出し側が定義するトレース ID。

## 素材の組み合わせルール

| リクエスト内容 | 対応 | 備考 |
| - | -: | - |
| プロンプトのみ | はい | テキストから動画生成 |
| 参照画像 | はい | 最大 9 枚 |
| 参照動画 / 参照音声 | いいえ | `seedance-2.5-ext` をご利用ください |
| 最初 / 最後フレーム | いいえ | フレームモード非対応 |

## リクエスト例

### テキストから動画

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2-fast-ext",
    "prompt": "岩に打ち寄せる波、カメラがゆっくり周り込む。",
    "seconds": 5,
    "size": "16:9",
    "resolution": "720p"
  }'
```

### 参照画像から生成

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/videos/generations \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2-fast-ext",
    "prompt": "画像1のキャラクターがまばたきして微笑む。",
    "seconds": 5,
    "size": "9:16",
    "resolution": "480p",
    "reference_images": [
      "https://example.com/avatar.png"
    ]
  }'
```

## レスポンス

**id** `string`

ステータス照会用のタスク ID。

**client\_business\_id** `string`

リクエストで指定した場合に返されます。

**object** `string`

常に `generation.task`。

**model** `string`

このリクエストで使用されたモデル名。

**status** `string`

`queued`、`in_progress`、`completed`、または `failed`。

**progress** `integer`

`0`–`100` のタスク進捗。

**created\_at** `integer`

作成タイムスタンプ。

```json 200 theme={null}
{
  "id": "tsk_vid_xxx",
  "object": "generation.task",
  "model": "seedance-2-fast-ext",
  "status": "in_progress",
  "progress": 10,
  "created_at": 1781577600
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.